const express = require('express');
const bodyParser = require('body-parser');

const app = express();
const port = 3000;

// 使用body-parser中间件来解析urlencoded格式的请求体
app.use(bodyParser.urlencoded({ extended: true }));

app.get("/", (req, res) => {
    res.json({
        server : "Fake UKey",
        version : "1.0"
    })
})
app.post('/do', (req, res) => {
    // 获取请求体中的数据
    const requestData = req.body;
    // 设置响应类型为application/x-json
    res.setHeader('Content-Type', 'application/x-json'); // 注意application/x-json不是标准MIME类型，通常使用application/json
    // 将请求的数据返回为json格式的响应体
    res.json(requestData);
});

app.listen(port, () => {
    console.log(`Server is running on port ${port}`);
});
